<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE tiles-definitions PUBLIC
      "-//Apache Software Foundation//DTD Tiles Configuration 2.0//EN"
      "http://tiles.apache.org/dtds/tiles-config_2_0.dtd">

<tiles-definitions>

  <definition name="layout" template="/WEB-INF/view/Layout.jsp">
    <put-attribute name="focusedInputId" value="loginForm.mailAddr" type="string"/>
    <put-attribute name="body" value=""/>
    <put-attribute name="loginForm" value="account.Login" type="definition"/>
    <put-attribute name="widget.INFORMATION" value="InformationWidget" type="definition"/>
    <put-attribute name="widget.GOOGLE_SEARCH" value="/WEB-INF/view/SearchWidget.jsp"/>
    <put-attribute name="widget.PUBLIC_PROFILE" value="profile.PublicProfileWidget" type="definition"/>
    <put-attribute name="widget.PUBLIC_BLOGS" value="blog.PublicBlogsWidget" type="definition"/>
    <put-attribute name="widget.PUBLIC_COMMUNITIES" value="community.PublicCommunitiesWidget" type="definition"/>
    <put-attribute name="widget.FOOTMARK" value="profile.FootmarkWidget" type="definition"/>
    <put-attribute name="widget.MAIL" value="mail.MailWidget" type="definition"/>
    <put-attribute name="widget.MAIL_ALERT" value="mail.MailAlertWidget" type="definition"/>
    <put-attribute name="widget.FRIEND" value="profile.FriendWidget" type="definition"/>
    <put-attribute name="widget.ACTIVE_USER_COUNT" value="user.ActiveUserCountWidget" type="definition"/>
    <put-attribute name="logoutForm" value="/WEB-INF/view/account/LogoutForm.jsp"/>
    <put-list-attribute name="cssNames"></put-list-attribute>
    <put-list-attribute name="cssCodes"></put-list-attribute>
    <put-list-attribute name="dojoRequires"></put-list-attribute>
  </definition>

  <definition name="Index" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/Index.jsp"/>
  </definition>

  <definition name="Settings" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/Settings.jsp"/>
  </definition>

  <definition name="RegistrationSuccessWithMail" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/RegistrationSuccessWithMail.jsp"/>
  </definition>

  <definition name="RegistrationSuccessWithoutMail" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/RegistrationSuccessWithoutMail.jsp"/>
  </definition>

  <definition name="EmailForwarding" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/EmailForwarding.jsp"/>
  </definition>

  <definition name="CaptchaForm" extends="layout">
    <put-attribute name="focusedInputId" value="captcha" type="string"/>
    <put-attribute name="body" value="/WEB-INF/view/CaptchaForm.jsp"/>
  </definition>

  <definition name="InformationWidget" template="/WEB-INF/view/InformationWidget.jsp" preparer="informationWidgetPreparer"/>

</tiles-definitions>
